Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004342OCamlOCaml generalpublic2007-07-14 13:062007-10-25 10:06
Reporterlanwin 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version 
Summary0004342: The constructor Ccheckbound expects 1 argument(s) in selection.ml line 109
DescriptionHi, ive got the compile error ( see Additional information ) while compiling ocaml 3.10(tar archive) and 3.11(cvs trunk). 3.09 compiles without errors.

Platform: Arm liddel endian
System: Debian Sid (ARM LE)
Gcc: 4:4.1.1-15
Glibc: 2.6-1
Additional Informationln -s arm/selection.ml asmcomp/selection.ml
boot/ocamlrun boot/ocamlc -nostdlib -I boot -warn-error A -I utils -I parsing -I typing -I bytecomp -I asmcomp -I driver -I toplevel -c asmcomp/selection.mli
boot/ocamlrun boot/ocamlc -nostdlib -I boot -warn-error A -I utils -I parsing -I typing -I bytecomp -I asmcomp -I driver -I toplevel -c asmcomp/selection.ml
File "asmcomp/selection.ml", line 109, characters 4-15:
The constructor Ccheckbound expects 1 argument(s),
but is here applied to 0 argument(s)
make: *** [asmcomp/selection.cmo] Error 2
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004114)
lanwin (reporter)
2007-07-21 22:21

This only happed in make opt. make world build without any problem.
(0004118)
lanwin (reporter)
2007-07-24 19:09

Christoph Bauer helped me to solve this issue.

After simply replace `Ccheckbound' by `Ccheckbound _' in asmcomp/selection.ml line 109 make world.opt compiles without errors.

I dont know why this happen only on arm systems, but if you what to test something i am here to test it :-)
(0004194)
xleroy (administrator)
2007-10-25 10:06

Fixed in 3.10 branch. The ARM port now compiles fine on Debian 4.


- Issue History
Date Modified Username Field Change
2007-07-14 13:06 lanwin New Issue
2007-07-21 22:21 lanwin Note Added: 0004114
2007-07-24 19:09 lanwin Note Added: 0004118
2007-10-25 10:06 xleroy Note Added: 0004194
2007-10-25 10:06 xleroy Status new => closed
2007-10-25 10:06 xleroy Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker